﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DWZB_Agv_Agreement.Agv_Agreement
{
    public class PackageHeadMd
    {
        private const int PacBtyArrLen = 9;
        public byte[] PackageHeadFlag = new byte[2] { 0x26, 0x05 };
        public byte[] DataLen = new byte[4];
        public byte VersionNo = 0x02;
        public byte Data_CRC { get; set; }
        public byte PackageHead_CRC { get; set; }

        /// <summary>
        /// 序列化为byte数组。
        /// </summary>
        public byte[] SerializeBytArr()
        {
            List<byte> retBtArr = new(PacBtyArrLen);
            retBtArr.AddRange(PackageHeadFlag);
            retBtArr.AddRange(DataLen);
            retBtArr.Add(VersionNo);
            retBtArr.Add(Data_CRC);
            retBtArr.Add(PackageHead_CRC);
            return retBtArr.ToArray();
        }
    }
}
